From 8e0866125c1974c0425f928728a5e4b9c1ebaee7 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 10 2020 19:20:49 +0000
Subject: [PATCH 247/2232] Verify that header sections are found even if not used


This prevents typos in the endif part of the section even when test
coverage is not perfect.

---

diff --git a/gen/write.rs b/gen/write.rs
index d80e957..4eed1b4 100644
--- a/gen/write.rs
+++ b/gen/write.rs
@@ -261,9 +261,10 @@ fn write_include_cxxbridge(out: &mut OutFile, apis: &[Api], types: &Types) {
 }
 
 fn write_header_section(out: &mut OutFile, needed: bool, section: &str) {
+    let section = include::get(section);
     if needed {
         out.next_section();
-        for line in include::get(section).lines() {
+        for line in section.lines() {
             if !line.trim_start().starts_with("//") {
                 writeln!(out, "{}", line);
             }

